Name:      and
Version:   1.2.2
Release:   24%{?dist}
Summary:   Auto nice daemon

License:   GPLv2
Group:     System Environment/Daemons

URL:       http://and.sourceforge.net
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:   and.sysconf 
Source2:   and.service
Patch1:    and-1.2.2-makefile.patch

Obsoletes: and-sysvinit < %{version}-%{release}
Provides:  and-sysvinit = %{version}-%{release}

Obsoletes:  and-units < %{version}-%{release}
Provides:   and-units = %{version}-%{release}

BuildRequires:	systemd-units

Requires(post):	systemd-units
Requires(preun):	systemd-units
Requires(postun):	systemd-units

provides:	and-sysvinit = %{version}-%{release}
Obsoletes:	and-sysvinit < 1.2.2-11

provides:	and-units = %{version}-%{release}
Obsoletes:	and-units < 1.2.2-11


Buildroot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

%description
The auto nice daemon renices and even kills jobs according to their CPU time,
owner, and command name. This is especially useful on production machines with
lots of concurrent CPU-intensive jobs and users that tend to forget to
nice their jobs.

%prep            
%setup1 -q
%patch1 -p1 -b .org

%build
make %{?_smp_mflags} \
     CFLAGS='%{optflags}' \
     PREFIX=%{_prefix} \
     INSTALL_ETC=%{_sysconfdir} \
     INSTALL_SBIN=%{_sbindir} \
     INSTALL_MAN=%{_mandir}

%install
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_mandir}/man5
make PREFIX=%{buildroot}%{_prefix} \
     INSTALL_ETC=%{buildroot}%{_sysconfdir} \
     INSTALL_SBIN=%{buildroot}%{_sbindir} \
     INSTALL_MAN=%{buildroot}%{_mandir} install 

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/and

mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}

%post
%systemd_post and.service

%preun
%systemd_preun and.service

%postun
%systemd_postun_with_restart and.service

%files
%defattr(-,root,root)
%doc README LICENSE CHANGELOG
%config(noreplace) %{_sysconfdir}/and/
%config(noreplace) %{_sysconfdir}/sysconfig/and
%{_sbindir}/*
%{_mandir}/man5/*.gz
%{_mandir}/man8/*.gz
%{_unitdir}/and.service

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct  5 2012 Jochen Schmitt <Jochen herr-schmitt de> - 1.2.2-18
- Introduction of rpm systemd macros
- Clean up of the SPEC file

* Tue Aug 28 2012 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-17
- Fix misprint operator in %%post stanza (#852419)

* Fri Jul 27 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-14
- Rebuilt for glibc bug#747377

* Wed Jun 15 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-13
- Rework and.service to fix #713432

* Thu Mar 31 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-12
- Rework for systemd

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 28 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-10
- Remove SysVInit support

* Sun Jul 18 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-9
- Try to add systemd support

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 13 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-6
- Rebuild for gcc-4.3

* Wed Jan 23 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-5
- Rebuild

* Thu Aug  9 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-4
- Changing license tag

* Mon Jul 30 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-3
- Fix wrong postun requires

* Thu Jul 26 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-2
- Adding sysconfig file template

* Tue Jul 24 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-1
- Initial package for Fedora
